Bug 472418 - Review Request: xmbdfed - Bitmap Font Editor
Review Request: xmbdfed - Bitmap Font Editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 12:55 EST by Tom "spot" Callaway
Modified: 2008-12-13 10:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-13 09:59:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lucilanga: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2008-11-20 12:55:43 EST
Spec URL: http://auroralinux.org/people/spot/review/new/xmbdfed.spec
SRPM URL: http://auroralinux.org/people/spot/review/new/xmbdfed-4.7-1.fc10.src.rpm
Description: 
The XmBDFEditor lets you interactively create new bitmap font files or
modify existing ones. It allows editing multiple fonts and multiple
glyphs, it allows cut and paste operations between fonts and glyphs and
editing font properties. The editor works natively with BDF fonts.
Comment 1 Lucian Langa 2008-12-08 15:33:16 EST
This package needs  xorg-x11-fonts-misc as requirement, otherwise it won't even start:
XmuttFontGrid: can't load the "6x10" font.


xmbdfed.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
xmbdfed.desktop: warning: value "Application;Graphics;" for key "Categories" in group "Desktop Entry" contains a deprecated value "Application"


In the %files section, please to use:
%defattr(-, root, root, -)
Comment 2 Nicolas Mailhot 2008-12-08 16:13:19 EST
BTW this one may be a better option for packaging (didn't actually try any of them)

http://www.math.nmsu.edu/~mleisher/Software/gbdfed/
Comment 3 Tom "spot" Callaway 2008-12-08 18:03:51 EST
(In reply to comment #1)
> This package needs  xorg-x11-fonts-misc as requirement, otherwise it won't even
> start:
> XmuttFontGrid: can't load the "6x10" font.
> 
> 
> xmbdfed.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
> xmbdfed.desktop: warning: value "Application;Graphics;" for key "Categories" in
> group "Desktop Entry" contains a deprecated value "Application"
> 
> 
> In the %files section, please to use:
> %defattr(-, root, root, -)

Thanks! All of these are fixed in -2:

New SRPM: http://www.auroralinux.org/people/spot/review/new/xmbdfed-4.7-2.fc11.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/xmbdfed.spec
Comment 4 Lucian Langa 2008-12-10 14:39:18 EST
Review:

OK  source files match upstream:
        27872bb7473e5d64d9a24281ae6ad3d9  xmbdfed-4.7.tar.bz2
OK  package meets naming and versioning guidelines.
OK  specfile is properly named, is cleanly written and uses macros consistently.
OK  summary is OK.
OK  description is OK.
OK  dist tag is present.
OK  build root is OK.
OK  license field matches the actual license.
OK  license is open source-compatible.
OK  license text included in package.
NOT OK  BuildRequires are proper.
OK  compiler flags are appropriate.
OK  %clean is present.
OK  package builds in mock (rawhide, x86_64).
OK  package installs properly.
OK  debuginfo package looks complete.
OK  rpmlint is silent.
OK  final provides and requires are sane:
        xmbdfed = 4.7-2.fc11
        xmbdfed(x86-64) = 4.7-2.fc11
        =
        libICE.so.6()(64bit)
        libSM.so.6()(64bit)
        libX11.so.6()(64bit)
        libXext.so.6()(64bit)
        libXm.so.2()(64bit)
        libXmu.so.6()(64bit)
        libXpm.so.4()(64bit)
        libXt.so.6()(64bit)
        libfreetype.so.6()(64bit)
        xorg-x11-fonts-misc
OK  %check is not present; no test suite upstream.
    I was able to run the program fine after adding correct Requires
N/A no shared libraries are added to the regular linker search paths.
OK  owns the directories it creates.
OK  doesn't own any directories it shouldn't.
OK  no duplicates in %files.
OK  file permissions are appropriate.
OK  code, not content.
OK  documentation is small, so no -doc subpackage is necessary.
OK  %docs are not necessary for the proper functioning of the package.
OK  no headers.
OK  no pkgconfig files.
OK  no static libraries.
OK  no libtool .la files.
OK  desktop file present and correctly installed

Must:
- Please add desktop-file-utils as dependency (correctly installing desktop files)

Suggestions:
- Please consider preserving timestamps on installed files
- Please also keep the classical order of files for fedora spec files

APPROVED. (but please fix BR)
Comment 5 Tom "spot" Callaway 2008-12-10 16:19:08 EST
- Please also keep the classical order of files for fedora spec files

What do you mean by that?
Comment 6 Tom "spot" Callaway 2008-12-10 16:32:11 EST
New Package CVS Request
=======================
Package Name: xmbdfed
Short Description: Bitmap Font Editor
Owners: spot
Branches: EL-5 F-9 F-10 devel
InitialCC:

... and it's done.
Comment 7 Tom "spot" Callaway 2008-12-10 17:02:57 EST
(In reply to comment #2)
> BTW this one may be a better option for packaging (didn't actually try any of
> them)
> 
> http://www.math.nmsu.edu/~mleisher/Software/gbdfed/

Looks like the GTK version of this package. I'm willing to maintain them both:

https://bugzilla.redhat.com/show_bug.cgi?id=475884
Comment 8 Fedora Update System 2008-12-10 17:06:42 EST
xmbdfed-4.7-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xmbdfed-4.7-3.fc9
Comment 9 Fedora Update System 2008-12-10 17:06:46 EST
xmbdfed-4.7-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xmbdfed-4.7-3.fc10
Comment 10 Lucian Langa 2008-12-11 00:38:56 EST
(In reply to comment #5)
> - Please also keep the classical order of files for fedora spec files
> 
> What do you mean by that?

what i meant was the usual order of fields in spec file

e.g. 
Name:
Version:
Release:
Summary:
Group:
License:
URL:
Source0:
BuildRoot:
BuildRequires:
Requires:
Comment 11 Fedora Update System 2008-12-13 09:59:51 EST
xmbdfed-4.7-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-12-13 10:00:01 EST
xmbdfed-4.7-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.